<style src="./Style.scss" lang="scss" scoped></style>
<script src="./Script.js"></script>

<template>
  <div>
    <div
      class="modal s--modal fade nt--modal-confirm-choice"
      data-backdrop="static"
      data-keyboard="false"
      id="emailSchedulerPopup"
    >
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header nt-background-header-gradient">
            <h5 class="modal-title nt-title-icon-modal d-flex align-items-center">
              <i class="icon icon-calendar-6" style="margin-right: 10px"></i>
              Chọn loại lịch gửi
            </h5>
            <span class="btn-reset" data-dismiss="modal" @click="reset">
              <i class="icon icon-cancel"></i>
            </span>
          </div>
          <div class="modal-body">
            <div class="row">
              <div class="col-6">
                <div
                  class="scheduler-box"
                  :class="{ 'selected': selectedOption === selectOptions.periodic} "
                  @click="selectedOption = selectOptions.periodic"
                >
                  <img src="@/assets/imgs/email-scheduler.png" />
                  <div style="margin-top: 10px">Gửi định kỳ</div>
                </div>
              </div>
              <div class="col-6">
                <div class="scheduler-box disabled">
                  <div class="position-relative">
                    <div class="centering">- Sắp ra mắt -</div>
                    <img src="@/assets/imgs/email-scheduler1.png" style="opacity: .3" />
                  </div>
                  <div style="margin-top: 10px">Gửi linh hoạt</div>
                </div>
              </div>
            </div>
          </div>

          <div class="modal-footer">
            <button
              type="button"
              class="nt-button nt-button-warning nt-button-modal ml-auto"
              data-dismiss="modal"
              style="margin-right: 0"
              :disabled="!selectedOption"
              @click="onNext"
            >Tiếp theo</button>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
